### Constructor

# Gtk Scalenew_with_range

#### Declaration [src]

    GtkWidget*
    gtk_scale_new_with_range (
      GtkOrientation orientation,
      double min,
      double max,
      double step
    )

#### Description [src]

Creates a new scale widget with a range from `min` to `max`.

The returns scale will have the given orientation and will let the user input a number between `min` and `max` (including `min` and `max`) with the increment `step`. `step` must be nonzero; it’s the distance the slider moves when using the arrow keys to adjust the scale value.

Note that the way in which the precision is derived works best if `step` is a power of ten. If the resulting precision is not suitable for your needs, use `gtk_scale_set_digits()` to correct it.

#### Parameters

`orientation`

  Type: `GtkOrientation`

  The scale’s orientation.

`min`

  Type: `double`

  Minimum value.

`max`

  Type: `double`

  Maximum value.

`step`

  Type: `double`

  Step increment (tick size) used with keyboard shortcuts.

#### Return value

Type: `GtkWidget`

A new `GtkScale`

The data is owned by the called function.